// C Header File
// Created 06/22/2003; 00:51:41

/* 
	Tally Counter v.1.00.00
	This program is used to simulate a mechanical counting device.
	Copyright (C) 2003 Travis Evans
	
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/

// Macros to aid text positioning for 6x8 font
#define tCntrX(len)	((LCD_WIDTH)/2 - (len*6)/2)		//Horizontally center a string of length len
#define cntrHorzPos	(LCD_WIDTH/4 - (6*(c_mode+3))/2)	//Leftmost position to write counter value text
#define configHorzPos	((3*LCD_WIDTH)/4) - (6*9)/2		//Leftmost position to write configuration data text

// For GetNumber routine
enum {COUNTER, TAX};
static const char *titleStr[] = {"Counter Value", "Tax Value"};
static const char *promptStr[] = {"New value:", "New value (%)"};

// Extra key equates for ngetchx()
enum {KEY_HOME = 8273, KEY_EE = 149, KEY_DF1 = 16652, KEY_DF2 = 16653,
	KEY_DF3 = 16654, KEY_DF4 = 16655, KEY_DF5 = 16656, KEY_POWER = 94};

// Key help text (used for displaying key help on bottom of screen)
#define keyHelpRows 6
#define keyHelpCols 4
#define keyHelpVStart 8*6+5
#define keyHelpVIncr 6

static const unsigned char keyHelpHStart[] = {0, 42, 95, 116};

static const char *keyHelpList[] = {
	"F1-F5", "\x7f F1-F5", "ESC/HOME", "MODE", "BACKSP", "CLEAR",
	"Chng. digits", "Rev. digits", "Quit", "Menu", "Chng. mode", "Reset",
	"^", "STO\x16", "EE", "(-)", "x/\xf7", "+/-",
	"Vis. FX", "Entr val.", "Entr tax", "Chng. op.", "Mul/div by 2", "Add/sub. tax"
};
